/** 
 * DevExtreme (viz/docs/doccharts.js)
 * Version: 16.1.4
 * Build date: Wed Jun 22 2016
 *
 * Copyright (c) 2012 - 2016 Developer Express Inc. ALL RIGHTS RESERVED
 * EULA: https://www.devexpress.com/Support/EULAs/DevExtreme.xml
 * MAY BE USED WITH: 
 */
"use strict";
var dxChart = {
    seriesTemplate: {
        nameField: "series",
        customizeSeries: function() {}
    },
    resolveLabelOverlapping: "none",
    seriesSelectionMode: "single",
    containerBackgroundColor: "#FFFFFF",
    onSeriesClick: function() {},
    onLegendClick: function() {},
    equalBarWidth: true,
    barWidth: void 0,
    negativesAsZeroes: false,
    commonSeriesSettings: {
        type: "line",
        line: {},
        fullstackedline: {},
        fullstackedspline: {},
        stackedline: {},
        stackedspline: {},
        stepline: {},
        area: {},
        fullstackedarea: {},
        fullstackedsplinearea: {},
        stackedarea: {},
        stackedsplinearea: {},
        steparea: {},
        bar: {},
        fullstackedbar: {},
        stackedbar: {},
        spline: {},
        splinearea: {},
        scatter: {},
        candlestick: {},
        stock: {},
        rangebar: {},
        rangearea: {},
        bubble: {}
    },
    defaultPane: void 0,
    adjustOnZoom: true,
    rotated: false,
    synchronizeMultiAxes: true,
    commonPaneSettings: {
        backgroundColor: "none",
        border: {
            visible: false,
            top: true,
            bottom: true,
            left: true,
            right: true,
            color: "#d3d3d3",
            dashStyle: "solid",
            width: 1,
            opacity: void 0
        }
    },
    panes: [{
        name: void 0
    }],
    dataPrepareSettings: {
        checkTypeForAllData: false,
        convertToAxisDataType: true,
        sortingMethod: true
    },
    scrollBar: {
        visible: false,
        offset: 5,
        color: "gray",
        width: 10,
        opacity: void 0,
        position: "top"
    },
    zoomingMode: "none",
    scrollingMode: "none",
    useAggregation: false,
    crosshair: {
        enabled: false,
        color: "#f78119",
        width: 1,
        dashStyle: "solid",
        opacity: void 0,
        label: {
            backgroundColor: "#f78119",
            visible: false,
            font: {
                family: "'Segoe UI', 'Helvetica Neue', 'Trebuchet MS', Verdana",
                weight: 400,
                color: "#FFFFFF",
                size: 12,
                opacity: void 0
            },
            format: "",
            precision: 0,
            customizeText: void 0
        },
        verticalLine: {
            visible: true,
            color: "#f78119",
            width: 1,
            dashStyle: "solid",
            opacity: void 0,
            label: {
                backgroundColor: "#f78119",
                visible: false,
                font: {
                    family: "'Segoe UI', 'Helvetica Neue', 'Trebuchet MS', Verdana",
                    weight: 400,
                    color: "#FFFFFF",
                    size: 12,
                    opacity: void 0
                },
                format: "",
                precision: 0,
                customizeText: void 0
            }
        },
        horizontalLine: {
            visible: true,
            color: "#f78119",
            width: 1,
            dashStyle: "solid",
            opacity: void 0,
            label: {
                backgroundColor: "#f78119",
                visible: false,
                font: {
                    family: "'Segoe UI', 'Helvetica Neue', 'Trebuchet MS', Verdana",
                    weight: 400,
                    color: "#FFFFFF",
                    size: 12,
                    opacity: void 0
                },
                format: "",
                precision: 0,
                customizeText: void 0
            }
        }
    },
    onArgumentAxisClick: function() {},
    legend: {
        customizeText: void 0,
        customizeHint: void 0,
        hoverMode: "includePoints",
        position: "outside"
    },
    commonAxisSettings: {
        setTicksAtUnitBeginning: true,
        discreteAxisDivisionMode: "betweenLabels",
        visible: false,
        color: "#d3d3d3",
        width: 1,
        opacity: void 0,
        placeholderSize: null,
        label: {
            alignment: void 0,
            visible: true,
            overlappingBehavior: {
                mode: "enlargeTickInterval",
                rotationAngle: 90,
                staggeringSpacing: 5
            },
            indentFromAxis: 10,
            font: {
                family: "'Segoe UI', 'Helvetica Neue', 'Trebuchet MS', Verdana",
                weight: 400,
                color: "#767676",
                size: 12,
                opacity: void 0
            }
        },
        grid: {
            visible: false,
            color: "#d3d3d3",
            width: 1,
            opacity: void 0
        },
        minorGrid: {
            visible: false,
            color: "#d3d3d3",
            width: 1,
            opacity: void 0
        },
        tick: {
            visible: false,
            color: "#d3d3d3",
            opacity: void 0,
            width: 1,
            length: 8
        },
        minorTick: {
            visible: false,
            color: "#d3d3d3",
            opacity: void 0,
            width: 1,
            length: 8
        },
        title: {
            font: {
                family: "'Segoe UI', 'Helvetica Neue', 'Trebuchet MS', Verdana",
                weight: 400,
                color: "#767676",
                size: 16,
                opacity: void 0
            },
            margin: 6
        },
        stripStyle: {
            paddingLeftRight: 10,
            paddingTopBottom: 5,
            label: {
                horizontalAlignment: "left",
                verticalAlignment: "center",
                font: {
                    family: "'Segoe UI', 'Helvetica Neue', 'Trebuchet MS', Verdana",
                    weight: 400,
                    color: "#767676",
                    size: 12,
                    opacity: void 0
                }
            }
        },
        constantLineStyle: {
            paddingLeftRight: 10,
            paddingTopBottom: 10,
            width: 1,
            dashStyle: "solid",
            color: "#000000",
            label: {
                visible: true,
                position: "inside",
                font: {
                    family: "'Segoe UI', 'Helvetica Neue', 'Trebuchet MS', Verdana",
                    weight: 400,
                    color: "#767676",
                    size: 12,
                    opacity: void 0
                }
            }
        },
        minValueMargin: 0,
        maxValueMargin: 0,
        valueMarginsEnabled: true,
        inverted: false
    },
    argumentAxis: {
        tickInterval: {},
        minorTickInterval: {},
        minorTickCount: void 0,
        title: {
            text: void 0
        },
        label: {
            customizeText: void 0,
            customizeHint: void 0,
            format: "",
            precision: 0
        },
        strips: [{
            startValue: void 0,
            endValue: void 0,
            color: void 0,
            label: {
                text: void 0
            }
        }],
        constantLineStyle: {
            label: {
                horizontalAlignment: "right",
                verticalAlignment: "top"
            }
        },
        constantLines: [{
            value: void 0,
            label: {
                text: void 0
            }
        }],
        position: "bottom",
        min: void 0,
        max: void 0,
        axisDivisionFactor: 50,
        categories: [],
        type: void 0,
        logarithmBase: 10,
        argumentType: void 0,
        hoverMode: "none"
    },
    valueAxis: {
        showZero: void 0,
        synchronizedValue: void 0,
        multipleAxesSpacing: 5,
        tickInterval: {},
        minorTickInterval: {},
        minorTickCount: void 0,
        title: {
            text: void 0
        },
        name: void 0,
        label: {
            customizeText: void 0,
            customizeHint: void 0,
            format: "",
            precision: 0
        },
        strips: [{
            startValue: void 0,
            endValue: void 0,
            color: void 0,
            label: {
                text: void 0
            }
        }],
        constantLineStyle: {
            label: {
                horizontalAlignment: "left",
                verticalAlignment: "top"
            }
        },
        constantLines: [{
            value: void 0,
            label: {
                text: void 0
            }
        }],
        position: "left",
        min: void 0,
        max: void 0,
        axisDivisionFactor: 30,
        categories: [],
        type: void 0,
        logarithmBase: 10,
        valueType: void 0,
        pane: void 0
    },
    tooltip: {
        shared: false,
        location: "center"
    },
    onSeriesHoverChanged: function() {},
    onSeriesSelectionChanged: function() {},
    series: [{
        name: void 0,
        tag: void 0,
        type: "line"
    }],
    minBubbleSize: 12,
    maxBubbleSize: .2,
    zoomArgument: function() {}
};
var dxPieChart = {
    legend: {
        hoverMode: "allArgumentPoints",
        customizeText: void 0,
        customizeHint: void 0
    },
    resolveLabelOverlapping: "none",
    palette: [],
    series: [{
        name: void 0,
        tag: void 0,
        type: "pie"
    }],
    type: "pie",
    commonSeriesSettings: {
        type: "pie"
    },
    getSeries: function() {},
    diameter: void 0,
    segmentsDirection: "clockwise",
    startAngle: 0,
    innerRadius: .5,
    onLegendClick: function() {}
};
var dxPolarChart = {
    useSpiderWeb: false,
    resolveLabelOverlapping: "none",
    seriesTemplate: {
        nameField: "series",
        customizeSeries: function() {}
    },
    seriesSelectionMode: "single",
    containerBackgroundColor: "#FFFFFF",
    onSeriesClick: function() {},
    onLegendClick: function() {},
    equalBarWidth: true,
    barWidth: void 0,
    negativesAsZeroes: false,
    commonSeriesSettings: {
        type: "scatter",
        line: {},
        area: {},
        bar: {},
        stackedbar: {},
        scatter: {}
    },
    dataPrepareSettings: {
        checkTypeForAllData: false,
        convertToAxisDataType: true,
        sortingMethod: true
    },
    onArgumentAxisClick: function() {},
    legend: {
        customizeText: void 0,
        customizeHint: void 0,
        hoverMode: "includePoints"
    },
    commonAxisSettings: {
        setTicksAtUnitBeginning: true,
        discreteAxisDivisionMode: "betweenLabels",
        visible: true,
        color: "#d3d3d3",
        width: 1,
        opacity: void 0,
        label: {
            visible: true,
            overlappingBehavior: "enlargeTickInterval",
            indentFromAxis: 5,
            font: {
                family: "'Segoe UI', 'Helvetica Neue', 'Trebuchet MS', Verdana",
                weight: 400,
                color: "#767676",
                size: 12,
                opacity: void 0
            }
        },
        grid: {
            visible: true,
            color: "#d3d3d3",
            width: 1,
            opacity: void 0
        },
        minorGrid: {
            visible: true,
            color: "#d3d3d3",
            width: 1,
            opacity: void 0
        },
        tick: {
            visible: true,
            color: "#d3d3d3",
            opacity: void 0,
            width: 1,
            length: 8
        },
        minorTick: {
            visible: false,
            color: "#d3d3d3",
            opacity: void 0,
            width: 1,
            length: 8
        },
        stripStyle: {
            label: {
                font: {
                    family: "'Segoe UI', 'Helvetica Neue', 'Trebuchet MS', Verdana",
                    weight: 400,
                    color: "#767676",
                    size: 12,
                    opacity: void 0
                }
            }
        },
        constantLineStyle: {
            width: 1,
            dashStyle: "solid",
            color: "#000000",
            label: {
                visible: true,
                font: {
                    family: "'Segoe UI', 'Helvetica Neue', 'Trebuchet MS', Verdana",
                    weight: 400,
                    color: "#767676",
                    size: 12,
                    opacity: void 0
                }
            }
        },
        inverted: false
    },
    argumentAxis: {
        startAngle: 0,
        firstPointOnStartAngle: false,
        period: 0,
        originValue: void 0,
        tickInterval: {},
        minorTickInterval: {},
        minorTickCount: void 0,
        label: {
            customizeText: void 0,
            customizeHint: void 0,
            format: "",
            precision: 0
        },
        strips: [{
            startValue: void 0,
            endValue: void 0,
            color: void 0,
            label: {
                text: void 0
            }
        }],
        constantLines: [{
            value: void 0,
            label: {
                text: void 0
            }
        }],
        axisDivisionFactor: 50,
        categories: [],
        type: void 0,
        logarithmBase: 10,
        argumentType: void 0,
        hoverMode: "none"
    },
    valueAxis: {
        showZero: void 0,
        tickInterval: {},
        minorTickInterval: {},
        minorTickCount: void 0,
        tick: {
            visible: false
        },
        label: {
            customizeText: void 0,
            customizeHint: void 0,
            format: "",
            precision: 0
        },
        strips: [{
            startValue: void 0,
            endValue: void 0,
            color: void 0,
            label: {
                text: void 0
            }
        }],
        constantLines: [{
            value: void 0,
            label: {
                text: void 0
            }
        }],
        minValueMargin: 0,
        maxValueMargin: 0,
        valueMarginsEnabled: true,
        axisDivisionFactor: 30,
        categories: [],
        type: void 0,
        logarithmBase: 10,
        valueType: void 0
    },
    tooltip: {
        shared: false
    },
    onSeriesHoverChanged: function() {},
    onSeriesSelectionChanged: function() {},
    series: [{
        name: void 0,
        tag: void 0,
        type: "scatter"
    }]
};
var BaseChart = {
    onDone: $.noop,
    onTooltipShown: function() {},
    onTooltipHidden: function() {},
    pointSelectionMode: "single",
    animation: {
        enabled: true,
        duration: 1e3,
        easing: "easeOutCubic",
        maxPointCountSupported: 300
    },
    tooltip: {
        customizeTooltip: void 0,
        argumentFormat: "",
        argumentPrecision: 0,
        percentPrecision: 0
    },
    onPointClick: function() {},
    onPointSelectionChanged: function() {},
    onPointHoverChanged: function() {},
    dataSource: void 0,
    palette: [],
    legend: {
        verticalAlignment: "top",
        horizontalAlignment: "right",
        orientation: void 0,
        itemTextPosition: void 0,
        itemsAlignment: void 0,
        font: {
            color: "#767676",
            family: void 0,
            weight: void 0,
            size: void 0,
            opacity: void 0
        },
        visible: true,
        margin: {
            top: 10,
            bottom: 10,
            left: 10,
            right: 10
        },
        markerSize: 20,
        backgroundColor: void 0,
        border: {
            visible: false,
            width: 1,
            color: "#d3d3d3",
            cornerRadius: 0,
            opacity: void 0,
            dashStyle: "solid"
        },
        paddingLeftRight: 10,
        paddingTopBottom: 10,
        columnsCount: 0,
        rowsCount: 0,
        columnItemSpacing: 8,
        rowItemSpacing: 8
    },
    series: [{}],
    customizePoint: void 0,
    customizeLabel: void 0,
    clearSelection: function() {},
    hideTooltip: function() {},
    render: function(renderOptions) {},
    getSize: function() {},
    getAllSeries: function() {},
    getSeriesByName: function() {},
    getSeriesByPos: function() {},
    adaptiveLayout: {
        width: 80,
        height: 80,
        keepLabels: true
    }
};
