/** 
 * DevExtreme (viz/docs/docchartseries.js)
 * Version: 16.1.4
 * Build date: Wed Jun 22 2016
 *
 * Copyright (c) 2012 - 2016 Developer Express Inc. ALL RIGHTS RESERVED
 * EULA: https://www.devexpress.com/Support/EULAs/DevExtreme.xml
 * MAY BE USED WITH: 
 */
"use strict";
var commonSeries = {
    color: void 0,
    visible: true,
    innerColor: "#ffffff",
    opacity: .5,
    reduction: {
        color: "#000000",
        level: "close"
    },
    width: 2,
    cornerRadius: 0,
    dashStyle: "solid",
    stack: "default",
    pane: "default",
    axis: void 0,
    valueField: "val",
    argumentField: "arg",
    tagField: "tag",
    rangeValue1Field: "val1",
    rangeValue2Field: "val2",
    openValueField: "open",
    highValueField: "high",
    lowValueField: "low",
    closeValueField: "close",
    sizeField: "size",
    border: {
        visible: false,
        width: 2,
        color: void 0,
        dashStyle: void 0
    },
    hoverMode: "nearestPoint",
    selectionMode: "includePoints",
    hoverStyle: {
        color: void 0,
        width: 3,
        dashStyle: "solid",
        hatching: {
            direction: "right",
            width: 2,
            step: 6,
            opacity: .75
        },
        border: {
            visible: false,
            width: 3,
            color: void 0,
            dashStyle: "solid"
        }
    },
    selectionStyle: {
        color: void 0,
        width: 3,
        dashStyle: "solid",
        hatching: {
            direction: "right",
            width: 2,
            step: 6,
            opacity: .5
        },
        border: {
            visible: false,
            width: 3,
            color: void 0,
            dashStyle: "solid"
        }
    },
    point: {
        hoverMode: "onlyPoint",
        selectionMode: "onlyPoint",
        color: void 0,
        visible: true,
        symbol: "circle",
        image: {
            url: {
                rangeMinPoint: void 0,
                rangeMaxPoint: void 0
            },
            width: {
                rangeMinPoint: void 0,
                rangeMaxPoint: void 0
            },
            height: {
                rangeMinPoint: void 0,
                rangeMaxPoint: void 0
            }
        },
        border: {
            visible: false,
            width: 1,
            color: void 0
        },
        size: 12,
        hoverStyle: {
            color: void 0,
            border: {
                visible: true,
                width: 4,
                color: void 0
            },
            size: 12
        },
        selectionStyle: {
            color: void 0,
            border: {
                visible: true,
                width: 4,
                color: void 0
            },
            size: 12
        }
    },
    showInLegend: true,
    maxLabelCount: void 0,
    minBarSize: void 0,
    ignoreEmptyPoints: false,
    label: {
        customizeText: void 0,
        visible: false,
        showForZeroValues: true,
        alignment: "center",
        rotationAngle: 0,
        horizontalOffset: 0,
        verticalOffset: 0,
        format: "",
        precision: 0,
        argumentFormat: "",
        argumentPrecision: 0,
        percentPrecision: 0,
        position: "outside",
        font: {
            family: "'Segoe UI', 'Helvetica Neue', 'Trebuchet MS', Verdana",
            weight: 400,
            color: "#FFFFFF",
            size: 14,
            opacity: void 0
        },
        backgroundColor: void 0,
        border: {
            visible: false,
            width: 1,
            color: "#d3d3d3",
            dashStyle: "solid"
        },
        connector: {
            visible: false,
            width: 1,
            color: void 0
        }
    },
    valueErrorBar: {
        displayMode: "auto",
        lowValueField: void 0,
        highValueField: void 0,
        type: void 0,
        value: 1,
        color: "black",
        lineWidth: 2,
        edgeLength: 8,
        opacity: void 0
    }
};
var areaSeries = {
    point: {
        visible: false
    },
    hoverMode: "nearestPoint",
    selectionMode: "includePoints"
};
var barSeries = {
    hoverMode: "onlyPoint",
    selectionMode: "onlyPoint"
};
var candlestickSeries = {
    argumentField: "date",
    label: {
        customizeText: void 0
    },
    hoverMode: "onlyPoint",
    selectionMode: "onlyPoint",
    hoverStyle: {
        hatching: {
            direction: "none"
        }
    },
    selectionStyle: {
        hatching: {
            direction: "none"
        }
    }
};
var fullstackedareaSeries = {
    point: {
        visible: false
    },
    label: {
        customizeText: void 0
    },
    hoverMode: "nearestPoint",
    selectionMode: "includePoints"
};
var fullstackedsplineareaSeries = {
    point: {
        visible: false
    },
    label: {
        customizeText: void 0
    },
    hoverMode: "nearestPoint",
    selectionMode: "includePoints"
};
var fullstackedbarSeries = {
    label: {
        customizeText: void 0
    },
    hoverMode: "onlyPoint",
    selectionMode: "onlyPoint"
};
var fullstackedlineSeries = {
    label: {
        customizeText: void 0
    },
    hoverMode: "nearestPoint",
    selectionMode: "includePoints"
};
var fullstackedsplineSeries = {
    label: {
        customizeText: void 0
    },
    hoverMode: "nearestPoint",
    selectionMode: "includePoints"
};
var lineSeries = {
    hoverMode: "nearestPoint",
    selectionMode: "includePoints"
};
var rangeareaSeries = {
    point: {
        visible: false
    },
    hoverMode: "nearestPoint",
    selectionMode: "includePoints"
};
var rangebarSeries = {
    hoverMode: "onlyPoint",
    selectionMode: "onlyPoint"
};
var scatterSeries = {};
var splineareaSeries = {
    point: {
        visible: false
    },
    hoverMode: "nearestPoint",
    selectionMode: "includePoints"
};
var splineSeries = {
    hoverMode: "nearestPoint",
    selectionMode: "includePoints"
};
var stackedareaSeries = {
    point: {
        visible: false
    },
    hoverMode: "nearestPoint",
    selectionMode: "includePoints"
};
var stackedsplineareaSeries = {
    point: {
        visible: false
    },
    hoverMode: "nearestPoint",
    selectionMode: "includePoints"
};
var stackedbarSeries = {
    hoverMode: "onlyPoint",
    selectionMode: "onlyPoint"
};
var stackedlineSeries = {
    hoverMode: "nearestPoint",
    selectionMode: "includePoints"
};
var stackedsplineSeries = {
    hoverMode: "nearestPoint",
    selectionMode: "includePoints"
};
var stepareaSeries = {
    border: {
        visible: true
    },
    point: {
        visible: false
    },
    hoverStyle: {
        border: {
            visible: true
        }
    },
    selectionStyle: {
        border: {
            visible: true
        }
    },
    hoverMode: "nearestPoint",
    selectionMode: "includePoints"
};
var steplineSeries = {
    hoverMode: "nearestPoint",
    selectionMode: "includePoints"
};
var stockSeries = {
    argumentField: "date",
    label: {
        customizeText: void 0
    },
    hoverMode: "onlyPoint",
    selectionMode: "onlyPoint"
};
var bubbleSeries = {
    hoverMode: "onlyPoint",
    selectionMode: "onlyPoint"
};
