/** 
 * DevExtreme (viz/docs/docgauges.js)
 * Version: 16.1.4
 * Build date: Wed Jun 22 2016
 *
 * Copyright (c) 2012 - 2016 Developer Express Inc. ALL RIGHTS RESERVED
 * EULA: https://www.devexpress.com/Support/EULAs/DevExtreme.xml
 * MAY BE USED WITH: 
 */
"use strict";
var baseGauge = {
    containerBackgroundColor: "none",
    title: {
        position: void 0
    },
    animation: {
        enabled: true,
        duration: 1e3,
        easing: "easeOutCubic"
    },
    subtitle: {
        text: void 0,
        font: {
            family: "'Segoe UI', 'Helvetica Neue', 'Trebuchet MS', Verdana",
            weight: 200,
            color: "#232323",
            size: 16,
            opacity: 1
        }
    },
    scale: {
        startValue: 0,
        endValue: 100,
        hideFirstTick: void 0,
        hideLastTick: void 0,
        hideFirstLabel: void 0,
        hideLastLabel: void 0,
        tickInterval: void 0,
        minorTickInterval: void 0,
        customTicks: void 0,
        customMinorTicks: void 0,
        tick: {
            color: "#FFFFFF",
            length: 5,
            width: 2,
            opacity: 1,
            visible: true
        },
        majorTick: {
            color: "#FFFFFF",
            length: 5,
            width: 2,
            customTickValues: [],
            useTicksAutoArrangement: true,
            tickInterval: void 0,
            showCalculatedTicks: true,
            visible: true
        },
        minorTick: {
            color: "#FFFFFF",
            opacity: 1,
            length: 3,
            width: 1,
            visible: false,
            showCalculatedTicks: true,
            customTickValues: [],
            tickInterval: void 0
        },
        label: {
            useRangeColors: false,
            overlappingBehavior: {
                useAutoArrangement: true,
                hideFirstOrLast: "last"
            },
            format: "",
            precision: 2,
            customizeText: void 0,
            visible: true,
            font: {
                color: "#767676",
                size: 12,
                family: "'Segoe UI', 'Helvetica Neue', 'Trebuchet MS', Verdana",
                weight: 400,
                opacity: 1
            }
        }
    },
    rangeContainer: {
        offset: 0,
        backgroundColor: "#808080",
        palette: "default",
        ranges: [{
            startValue: 0,
            endValue: 20,
            color: "#A6C567"
        }]
    },
    tooltip: {
        customizeTooltip: void 0
    },
    onTooltipShown: function() {},
    onTooltipHidden: function() {},
    value: void 0,
    subvalues: void 0,
    value: function() {},
    value: function() {},
    subvalues: function() {},
    subvalues: function() {}
};
var dxCircularGauge = {
    geometry: {
        startAngle: 225,
        endAngle: 315
    },
    scale: {
        orientation: "outside",
        label: {
            indentFromTick: 10
        }
    },
    rangeContainer: {
        width: 5,
        orientation: "outside"
    },
    valueIndicator: {
        type: "rectangleNeedle"
    },
    subvalueIndicator: {
        type: "triangleMarker"
    }
};
var dxLinearGauge = {
    geometry: {
        orientation: "horizontal"
    },
    scale: {
        verticalOrientation: "bottom",
        horizontalOrientation: "right",
        label: {
            indentFromTick: -10
        }
    },
    rangeContainer: {
        width: {
            start: 5,
            end: 5
        },
        verticalOrientation: "bottom",
        horizontalOrientation: "right"
    },
    valueIndicator: {
        type: "rangeBar"
    },
    subvalueIndicator: {
        type: "triangleMarker"
    }
};
var dxBarGauge = {
    animation: {},
    title: {
        position: void 0
    },
    subtitle: {},
    tooltip: {
        customizeTooltip: void 0
    },
    geometry: {
        startAngle: 225,
        endAngle: 315
    },
    palette: "Default",
    backgroundColor: "#e0e0e0",
    barSpacing: 4,
    relativeInnerRadius: .3,
    label: {
        visible: true,
        indent: 20,
        connectorWidth: 2,
        connectorColor: void 0,
        format: void 0,
        precision: void 0,
        customizeText: void 0,
        font: {
            color: void 0,
            size: 16,
            family: "'Segoe UI', 'Helvetica Neue', 'Trebuchet MS', Verdana",
            weight: 400,
            opacity: 1
        }
    },
    startValue: 0,
    endValue: 100,
    baseValue: 0,
    values: [],
    values: function() {},
    values: function() {},
    onTooltipShown: function() {},
    onTooltipHidden: function() {}
};
