/** 
 * DevExtreme (viz/docs/docvectormap.js)
 * Version: 16.1.4
 * Build date: Wed Jun 22 2016
 *
 * Copyright (c) 2012 - 2016 Developer Express Inc. ALL RIGHTS RESERVED
 * EULA: https://www.devexpress.com/Support/EULAs/DevExtreme.xml
 * MAY BE USED WITH: 
 */
"use strict";
var dxVectorMap = {
    margin: void 0,
    background: {
        borderColor: "#cacaca",
        color: "#ffffff"
    },
    layers: [{
        name: void 0,
        dataSource: void 0,
        data: void 0,
        type: void 0,
        elementType: void 0,
        borderWidth: 1,
        borderColor: "#9d9d9d",
        color: "#d2d2d2",
        hoveredBorderWidth: 1,
        hoveredBorderColor: "#303030",
        hoveredColor: "#d2d2d2",
        selectedBorderWidth: 2,
        selectedBorderColor: "#303030",
        selectedColor: "#d2d2d2",
        opacity: 1,
        size: 8,
        minSize: 20,
        maxSize: 50,
        hoverEnabled: true,
        selectionMode: "single",
        palette: "default",
        paletteSize: 0,
        colorGroups: void 0,
        colorGroupingField: void 0,
        sizeGroups: void 0,
        sizeGroupingField: void 0,
        dataField: void 0,
        customize: function() {},
        label: {
            enabled: false,
            dataField: void 0,
            font: {
                family: "'Segoe UI', 'Helvetica Neue', 'Trebuchet MS', Verdana",
                weight: 400,
                color: "#2b2b2b",
                size: 12,
                opacity: void 0
            }
        }
    }],
    mapData: void 0,
    areaSettings: {
        borderWidth: 1,
        borderColor: "#9d9d9d",
        color: "#d2d2d2",
        hoveredBorderWidth: 1,
        hoveredBorderColor: "#303030",
        hoveredColor: "#d2d2d2",
        selectedBorderWidth: 2,
        selectedBorderColor: "#303030",
        selectedColor: "#d2d2d2",
        hoverEnabled: true,
        selectionMode: "single",
        palette: "default",
        paletteSize: 0,
        colorGroups: void 0,
        colorGroupingField: void 0,
        label: {
            enabled: false,
            dataField: void 0,
            font: {
                family: "'Segoe UI', 'Helvetica Neue', 'Trebuchet MS', Verdana",
                weight: 400,
                color: "#2b2b2b",
                size: 12,
                opacity: void 0
            }
        },
        customize: function() {}
    },
    markers: void 0,
    markerSettings: {
        type: "dot",
        size: 8,
        minSize: 20,
        maxSize: 50,
        borderWidth: 2,
        borderColor: "#ffffff",
        color: "#ba4d51",
        hoveredBorderWidth: 2,
        hoveredBorderColor: "#ffffff",
        hoveredColor: "#ba4d51",
        selectedBorderWidth: 2,
        selectedBorderColor: "#ffffff",
        selectedColor: "#ba4d51",
        opacity: 1,
        palette: "default",
        colorGroups: void 0,
        colorGroupingField: void 0,
        sizeGroups: void 0,
        sizeGroupingField: void 0,
        label: {
            enabled: true,
            font: {
                family: "'Segoe UI', 'Helvetica Neue', 'Trebuchet MS', Verdana",
                weight: 400,
                color: "#2b2b2b",
                size: 12,
                opacity: void 0
            }
        },
        hoverEnabled: true,
        selectionMode: "single",
        customize: function() {}
    },
    controlBar: {
        enabled: true,
        borderColor: "#5d5d5d",
        color: "#ffffff",
        margin: 20,
        horizontalAlignment: "left",
        verticalAlignment: "top",
        opacity: .3
    },
    tooltip: {
        customizeTooltip: void 0,
        format: void 0,
        precision: void 0
    },
    onTooltipShown: function() {},
    onTooltipHidden: function() {},
    legends: [{
        source: {
            layer: void 0,
            grouping: void 0
        },
        customizeText: void 0,
        customizeHint: void 0,
        verticalAlignment: "bottom",
        horizontalAlignment: "right",
        orientation: void 0,
        itemTextPosition: void 0,
        itemsAlignment: void 0,
        font: {
            color: "#2b2b2b",
            family: void 0,
            weight: void 0,
            size: 12,
            opacity: void 0
        },
        visible: true,
        margin: {
            top: 10,
            bottom: 10,
            left: 10,
            right: 10
        },
        markerSize: 12,
        markerColor: "#ba4d51",
        markerShape: "square",
        backgroundColor: void 0,
        border: {
            visible: false,
            width: 1,
            color: "#d3d3d3",
            cornerRadius: 0,
            opacity: void 0,
            dashStyle: "solid"
        },
        paddingLeftRight: 10,
        paddingTopBottom: 10,
        columnsCount: 0,
        rowsCount: 0,
        columnItemSpacing: 8,
        rowItemSpacing: 8
    }],
    projection: void 0,
    bounds: void 0,
    touchEnabled: true,
    wheelEnabled: true,
    panningEnabled: true,
    zoomingEnabled: true,
    center: [0, 0],
    zoomFactor: 1,
    maxZoomFactor: 256,
    onClick: function() {},
    onCenterChanged: function() {},
    onZoomFactorChanged: function() {},
    onSelectionChanged: function() {},
    onAreaClick: function() {},
    onAreaSelectionChanged: function() {},
    onMarkerClick: function() {},
    onMarkerSelectionChanged: function() {},
    getLayers: function() {},
    getLayerByIndex: function() {},
    getLayerByName: function() {},
    getAreas: function() {},
    getMarkers: function() {},
    clearAreaSelection: function() {},
    clearMarkerSelection: function() {},
    clearSelection: function() {},
    center: function() {},
    center: function() {},
    zoomFactor: function() {},
    zoomFactor: function() {},
    viewport: function() {},
    viewport: function() {},
    convertCoordinates: function() {}
};
